QB_THREAD_LOCK_CREATE(3)

NAME
qb_thread_lock_create - Create a new lock of the given type.

SYNOPSIS
#include <qb/qbutil.h>

qb_thread_lock_t * qb_thread_lock_create(
    /*
     * QB_THREAD_LOCK_SHORT == spinlock (where available, else mutex)
     * QB_THREAD_LOCK_LONG == mutex
     */
    qb_thread_lock_type_t  type
);

PARAMS
type QB_THREAD_LOCK_SHORT == spinlock (where available, else mutex) QB_THREAD_LOCK_LONG == mutex

DESCRIPTION

STRUCTURES

enum qb_thread_lock_type_t {

      QB_THREAD_LOCK_SHORT;

      QB_THREAD_LOCK_LONG;
};

RETURN VALUE

pointer to qb_thread_lock_type_t or NULL on error.

SEE ALSO

qb_util_nano_current_get(3), qb_util_stopwatch_stop(3), qb_util_stopwatch_split(3), qb_util_stopwatch_split_ctl(3), qb_thread_unlock(3), qb_strerror_r(3), qb_util_stopwatch_time_split_get(3), qb_util_set_log_function(3), qb_util_timespec_from_epoch_get(3), qb_thread_lock_destroy(3), qb_thread_trylock(3), qb_util_nano_monotonic_hz(3), qb_util_nano_from_epoch_get(3), qb_util_stopwatch_create(3), qb_util_stopwatch_split_last(3), qb_thread_lock(3), qb_util_stopwatch_free(3), qb_timespec_add_ms(3), qb_util_stopwatch_start(3), qb_util_stopwatch_us_elapsed_get(3), qb_util_stopwatch_sec_elapsed_get(3)

COPYRIGHT

Copyright (C) 2010-2020 Red Hat, Inc.